<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

/**
 * Class CreateVzdelavaniePouzivatelKniznicaOblubeneTable
 */
return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('vzdelavanie_pouzivatel_kniznica_oblubene', function (Blueprint $table) {
            $table->id();

            $table->unsignedBigInteger('pouzivatel_id')->index();

            $table->morphs('oblubene');

            $table->foreign('pouzivatel_id')->references('id')->on('pouzivatelia')->onDelete('cascade');

            $table->unique([
                'pouzivatel_id',
                'oblubene_id',
                'oblubene_type',
            ]);

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('vzdelavanie_pouzivatel_kniznica_oblubene');
    }
};
